package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TExperts;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.sc.cloud.common.core.util.R;

import java.util.List;

/**
 * 节能专家库 服务类
 *
 * @author stz
 * @since 2020-09-05
 */
public interface TExpertsService extends IService<TExperts> {

    //分页、条件查询
    IPage getExpertsByPage(Page page, TExperts tExperts);

    List<TExperts> getExperts(String type, String industryCode);

    //根据id获取
    TExperts getExpertsById(Integer id);

    //新增
    boolean addExperts(TExperts tExperts);

    //修改
    boolean updateExpertsById(TExperts tExperts);

    //删除
    boolean deleteExpertsById(TExperts tExperts);

    //编码转为字符
    TExperts getNameByCode(TExperts tExperts);

    //随机抽取专家
    R getRandomExperts(TExperts tExperts, Integer num);
}
